"use strict";
this.name           = "repair_system_conditions";
this.author         = "Dybal"
this.copyright      = "2020 Dybal";
this.license        = "CC BY-NC-SA 4.0";
this.description    = "Repair System Equipment Conditions";
this.version        = "2.11";

this.allowAwardEquipment = function(equipment, ship, context) {
    var _controller = worldScripts["Repair System"].$controllerVersion;
    var _charges_left = missionVariables.repairCounter;
    var ret = false;    

    if (equipment === "EQ_REPAIRBOTS_RECHARGE_10") {
        if (_charges_left <= 5)    
            ret = true;
    } else if (equipment === "EQ_REPAIRBOTS_RECHARGE_5") {
        if (_controller === "EQ_REPAIRBOTS_CONTROLLER_LIGHT" &&  _charges_left <= 2 ||
            _controller === "EQ_REPAIRBOTS_CONTROLLER" &&  _charges_left <= 7)    
            ret = true;
    }
    return ret;
}

